explain_fdopendir_or_die(3)

NAME
explain_fdopendir_or_die - open a directory and report errors
    "open a directory and report errors"

SYNOPSIS
#include <libexplain/fdopendir.h>

DIR *explain_fdopendir_or_die(int fildes);
DIR *explain_fdopendir_on_error(int fildes);

DESCRIPTION
The explain_fdopendir_or_die function is used to call the fdopendir(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_fdopendir(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_fdopendir_on_error function is used to call the fdopendir(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_fdopendir(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the fdopendir(3) system call.

RETURN VALUE
The explain_fdopendir_or_die function only returns on success, see fdopendir(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_fdopendir_on_error function always returns the value return by the wrapped fdopendir(3) system call.

EXAMPLE
The explain_fdopendir_or_die function is intended to be used in a fashion similar to the following example:
    DIR *result = explain_fdopendir_or_die(fildes);

SEE ALSO

fdopendir(3)
    open a directory

explain_fdopendir(3)
    explain fdopendir(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2009 Peter Miller